<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ActionCardComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/shared/action-card/action-card.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>action-card</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./action-card.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./action-card.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#activate">activate</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#buttonId">buttonId</a>
                            </li>
                            <li>
                                <a href="#buttonLabel">buttonLabel</a>
                            </li>
                            <li>
                                <a href="#color">color</a>
                            </li>
                            <li>
                                <a href="#icon">icon</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Outputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#action">action</a>
                            </li>
                        </ul>
                    </td>
                </tr>



        </tbody>
    </table>
</section>


    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="buttonId"></a>
                        <code>buttonId</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:12</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="buttonLabel"></a>
                        <code>buttonLabel</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:13</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="color"></a>
                        <code>color</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="10" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:10</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="icon"></a>
                        <code>icon</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:11</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <section>
    <h3 id="outputs">Outputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="action"></a>
                        <code>action</code>
                    </td>
                    <td class="col-md-10">
                        <em><code>$event</code> Type:</em>    <code><a href="https://angular.io/api/core/EventEmitter" target="_blank" >EventEmitter</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:14</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="activate"></a>
                        <span class="name">
                            <b>
                            activate
                            </b>
                            <a href="#activate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>activate()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/shared/action-card/action-card.component.ts:16</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, EventEmitter, Input, Output } from &#x27;@angular/core&#x27;;

@Component({
  selector: &#x27;action-card&#x27;,
  templateUrl: &#x27;./action-card.component.html&#x27;,
  styleUrls: [&#x27;./action-card.component.scss&#x27;]
})
export class ActionCardComponent {

  @Input() color: string;
  @Input() icon: string;
  @Input() buttonId: string;
  @Input() buttonLabel: string;
  @Output() action &#x3D; new EventEmitter();

  activate() {
    this.action.emit();
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;button [id]&#x3D;&quot;buttonId&quot;
        mat-button
        [color]&#x3D;&quot;color&quot;
        (click)&#x3D;&quot;activate()&quot;
        class&#x3D;&quot;action-button&quot;
        [class.primary]&#x3D;&quot;color &#x3D;&#x3D;&#x3D; &#x27;primary&#x27;&quot; [class.accent]&#x3D;&quot;color &#x3D;&#x3D;&#x3D; &#x27;accent&#x27;&quot;&gt;
  &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
    &lt;mat-icon [color]&#x3D;&quot;color&quot; fxFlexAlign&#x3D;&quot;center&quot;&gt;{{icon}}&lt;/mat-icon&gt;
    &lt;span&gt;{{ buttonLabel | translate | uppercase}}&lt;/span&gt;
  &lt;/div&gt;
&lt;/button&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./action-card.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">button {
  width: 25rem;
}

mat-icon {
  font-size: 8rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><button [id]="buttonId"        mat-button        [color]="color"        (click)="activate()"        class="action-button"        [class.primary]="color === \'primary\'" [class.accent]="color === \'accent\'">  <div fxLayout="column">    <mat-icon [color]="color" fxFlexAlign="center">{{icon}}</mat-icon>    <span>{{ buttonLabel | translate | uppercase}}</span>  </div></button></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ActionCardComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ActionCardComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
